System Requirements

Palma Healthcare's AnestAssist™ runs on all hardware versions of the iPhone and iPod Touch running iPhone OS 3.0 or higher, and the iPad running iPhone OS 3.2 or higher.

Don't have an iPhone or iPod touch yet? AnestAssist is another good reason to join the large and growing group of medical professionals who do.

Purchase and Installation

AnestAssist™ is available for download on Apple's App Store. You can access the App Store

  • Directly from your iPhone/iPod touch - tap the 'App Store' icon and search for 'AnestAssist'.

or

  • From your computer using iTunes - click on the link below to go directly to AnestAssist:
AnestAssist Available on Apple's App Store
Click to purchase AnestAssist


Apple, the Apple logo, iPod, and iTunes are trademarks of Apple Inc., registered in the U.S. and other countries. iPhone is a trademark of Apple Inc.